Bug 513097 - EPEL Request: Parcellite
Summary: EPEL Request: Parcellite
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: parcellite
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-21 23:31 UTC by Gideon Mayhak
Modified: 2013-07-30 17:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-21 21:36:51 UTC


Attachments (Terms of Use)
replace some glib 2.14 functions, by other version (4.85 KB, patch)
2009-08-05 20:12 UTC, Anton Karmanov
no flags Details | Diff
spec for test purposes, don't sure about dependencies (1.72 KB, text/plain)
2009-08-05 20:56 UTC, Anton Karmanov
no flags Details
normal work with history restored and holding links closer to original (5.22 KB, patch)
2009-08-08 12:19 UTC, Anton Karmanov
no flags Details | Diff

Description Gideon Mayhak 2009-07-21 23:31:18 UTC
Description of problem:
Parcellite is not currently available for EPEL.

Version-Release number of selected component (if applicable):
parcellite-0.9.1-1

Additional info:
I'm planning a move on at least one of my home systems to CentOS.  As I was making an inventory of the software I use most on it (currently running F8), I realized that Parcellite is not currently available in CentOS or EPEL.  I would love it if you would consider making it available in EPEL.  It is a great tool!

Thank you for packaging it in the first place.  I will understand if there is an issue that prevents it from being made available under EPEL, and I apologize if that's the case.  If there isn't anything explicitly stopping you from making it part of EPEL, I would appreciate your consideration.

Comment 1 Christoph Wickert 2009-07-22 00:46:43 UTC
Thanks for your interest in parcellite, Gideon.

Unfortunately I'm not sure if I can help you. parcellite 0.9.x will not build on RHEL/CentOS because it requires a newer glib (2.14). 0.8 requirements seem to meet the available versions, but the build fails. I will have to investigate this further, hopefully it's not an outdated GTK version. Stay tuned.

Comment 2 Christoph Wickert 2009-07-29 20:34:28 UTC
Gideon, I'm really sorry, but there is nothing I can do for you. Both 0.7 and 0.8 require a higher GTK version than available in EPEL5.

IMO parcellite should not depend on the latest and greatest software, but making it compatible with older glib/GTK is something that should be done upstream, and I'm not really sure upstream is interested in this because he focuses on driving parcellite forward.

Comment 3 Gideon Mayhak 2009-08-01 18:49:29 UTC
Thank you very much for taking the time to look into it, and thanks again for packaging it for Fedora (I'll continue to enjoy it on my up-to-date laptop)!

Comment 4 Anton Karmanov 2009-08-05 20:12:15 UTC
Created attachment 356422 [details]
replace some glib 2.14 functions, by other version

This is how I make it run, but I don't know that it's correct way of doing things. Can you look once again in parcellite.

Comment 5 Christoph Wickert 2009-08-05 20:32:32 UTC
Thanks a lot Anton! I will need to look at this a little closer. Reopening.

Comment 6 Anton Karmanov 2009-08-05 20:56:20 UTC
Created attachment 356426 [details]
spec for test purposes, don't sure about dependencies

Happy testing, hope it helps.

Comment 7 Anton Karmanov 2009-08-08 12:19:47 UTC
Created attachment 356773 [details]
normal work with history restored and holding links closer to original

This one work like original parcellite, but I don't sure about how stable it. History is case sensitive again (holds HELLO, hellO and heLLo like different). Instead of simple pattern match in first patch, here GRegex replaced by POSIX regex, so don't know how it work in different locales but it's closer to original.

Comment 8 Bug Zapper 2009-11-16 11:03:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Gideon Mayhak 2009-11-18 22:05:51 UTC
Just a quick update from my end.  I will be getting a new computer that will run a Fedora KVM host with a CentOS guest, so CentOS is no longer my planned desktop distribution.  As such, I no longer personally require Parcellite for CentOS/EPEL.  That's not to discourage you from trying to get it to work anyway, but it's to let you know that I would be totally happy if you would rather close this as WONTFIX.

I'll be happy either way, so keep working if it pleases you, or close this if it stresses you out!

Comment 10 Fedora Update System 2009-11-24 11:45:05 UTC
parcellite-0.9.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/parcellite-0.9.1-2.el5

Comment 11 Christoph Wickert 2009-11-24 11:45:39 UTC
Hi Gideon, sorry I took so long. I have now built parcellite with the patch from Anton (thanks Anton!), please test it on your CentOS box.

Comment 12 Fedora Update System 2009-11-24 19:23:46 UTC
parcellite-0.9.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update parcellite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0894

Comment 13 Gideon Mayhak 2009-11-28 23:46:43 UTC
Cool, I'll have to give it a try once I have CentOS set up.  Thanks for your work, all!

Comment 14 Christoph Wickert 2010-03-21 21:36:33 UTC
I have changed my mind about this. Parcellite is no longer actively developed, see http://parcellite.sourceforge.net/?p=83. Although upstream plans to do some bugfixes, the future of parcellite is unclear. Without an active upstream I cannot maintain this software for the RHEL/EPEL lifetime and using a patched version makes things worse.

I hope you can understand my point of view and wont be to disappointed. I'd like to thank Anton for the patch. I have sent it upstream at https://sourceforge.net/tracker/?func=detail&aid=2974253&group_id=235597&atid=1097277

If there are any news from upstream I might reconsider my decision. If someone else wants to maintain parcellite in EPEL, he is welcome.

Comment 15 rickyrockrat 2013-07-30 17:10:35 UTC
Patch is applied to upstream source. Will work with 2.10.0 and greater.


Note You need to log in before you can comment on or make changes to this bug.